<mamecheat version="1">

  <cheat desc="Infinite Credits">
    <script state="run">
      <action>maincpu.pb@FF0F39=09</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@FF0E33=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Grenades PL1">
    <script state="run">
      <action>maincpu.pb@FF2519=63</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL1">
    <script state="on">
      <action>temp0 =maincpu.mb@0807E2</action>
    </script>
    <script state="run">
      <action>maincpu.mb@0807E2=60</action>
    </script>
    <script state="off">
      <action>maincpu.mb@0807E2=temp0 </action>
    </script>
  </cheat>

  <cheat desc="Speed Up movement PL1">
    <script state="run">
      <action>maincpu.pb@FF05AA=01</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@FF0E35=99</action>
    </script>
  </cheat>

  <cheat desc="Infinite Grenades PL2">
    <script state="run">
      <action>maincpu.pb@FF253D=63</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="on">
      <action>temp0 =maincpu.mb@0808AA</action>
    </script>
    <script state="run">
      <action>maincpu.mb@0808AA=60</action>
    </script>
    <script state="off">
      <action>maincpu.mb@0808AA=temp0 </action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
